curl --request PATCH \
--url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/phlebotomy/appointment/reschedule' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY' \
--data '
{
"booking_key": "bar456",
"appointment_notes": "Updated: need morning appointment"
}
'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.reschedule_phlebotomy_appointment(
"<order_id>",
booking_key="<booking_key>",
)
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.reschedulePhlebotomyAppointment({
orderId: "<order_id>",
body: {
bookingKey: "<booking_key>",
},
});
import com.junction.api.Junction;
import com.junction.api.core.Environment;
import com.junction.api.resources.labtests.requests.ReschedulePhlebotomyAppointmentLabTestsRequest;
import com.junction.api.types.AppointmentRescheduleRequest;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().reschedulePhlebotomyAppointment(
"<order_id>",
ReschedulePhlebotomyAppointmentLabTestsRequest.builder()
.body(
AppointmentRescheduleRequest.builder()
.bookingKey("<booking_key>")
.build()
)
.build()
);
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.ReschedulePhlebotomyAppointment(context.TODO(), &junction.ReschedulePhlebotomyAppointmentLabTestsRequest{
OrderId: "<order_id>",
Body: &junction.AppointmentRescheduleRequest{
BookingKey: "<booking_key>",
},
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
"user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
"address": {
"first_line": "West Lincoln Street",
"second_line": "",
"city": "Phoenix",
"state": "AZ",
"zip_code": "85004",
"unit": "14",
"access_notes": "Gate code #1234, use side entrance"
},
"location": {
"lng": -112.0772235,
"lat": 33.4421912
},
"start_at": "2023-05-17T20:00:00+00:00",
"end_at": "2023-05-17T22:00:00+00:00",
"iana_timezone": "America/Phoenix",
"type": "phlebotomy",
"provider": "getlabs",
"status": "pending",
"provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
"can_reschedule": true,
"appointment_notes": "Updated: need morning appointment"
}
At-home Phlebotomy
Update appointment reschedule
Partially update order phlebotomy appointment reschedule via the Junction API. Requires authentication with your team API key.
PATCH
/
v3
/
order
/
{order_id}
/
phlebotomy
/
appointment
/
reschedule
curl --request PATCH \
--url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/phlebotomy/appointment/reschedule' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY' \
--data '
{
"booking_key": "bar456",
"appointment_notes": "Updated: need morning appointment"
}
'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.reschedule_phlebotomy_appointment(
"<order_id>",
booking_key="<booking_key>",
)
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.reschedulePhlebotomyAppointment({
orderId: "<order_id>",
body: {
bookingKey: "<booking_key>",
},
});
import com.junction.api.Junction;
import com.junction.api.core.Environment;
import com.junction.api.resources.labtests.requests.ReschedulePhlebotomyAppointmentLabTestsRequest;
import com.junction.api.types.AppointmentRescheduleRequest;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().reschedulePhlebotomyAppointment(
"<order_id>",
ReschedulePhlebotomyAppointmentLabTestsRequest.builder()
.body(
AppointmentRescheduleRequest.builder()
.bookingKey("<booking_key>")
.build()
)
.build()
);
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.ReschedulePhlebotomyAppointment(context.TODO(), &junction.ReschedulePhlebotomyAppointmentLabTestsRequest{
OrderId: "<order_id>",
Body: &junction.AppointmentRescheduleRequest{
BookingKey: "<booking_key>",
},
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
"user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
"address": {
"first_line": "West Lincoln Street",
"second_line": "",
"city": "Phoenix",
"state": "AZ",
"zip_code": "85004",
"unit": "14",
"access_notes": "Gate code #1234, use side entrance"
},
"location": {
"lng": -112.0772235,
"lat": 33.4421912
},
"start_at": "2023-05-17T20:00:00+00:00",
"end_at": "2023-05-17T22:00:00+00:00",
"iana_timezone": "America/Phoenix",
"type": "phlebotomy",
"provider": "getlabs",
"status": "pending",
"provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
"can_reschedule": true,
"appointment_notes": "Updated: need morning appointment"
}
curl --request PATCH \
--url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/phlebotomy/appointment/reschedule' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY' \
--data '
{
"booking_key": "bar456",
"appointment_notes": "Updated: need morning appointment"
}
'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.reschedule_phlebotomy_appointment(
"<order_id>",
booking_key="<booking_key>",
)
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.reschedulePhlebotomyAppointment({
orderId: "<order_id>",
body: {
bookingKey: "<booking_key>",
},
});
import com.junction.api.Junction;
import com.junction.api.core.Environment;
import com.junction.api.resources.labtests.requests.ReschedulePhlebotomyAppointmentLabTestsRequest;
import com.junction.api.types.AppointmentRescheduleRequest;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().reschedulePhlebotomyAppointment(
"<order_id>",
ReschedulePhlebotomyAppointmentLabTestsRequest.builder()
.body(
AppointmentRescheduleRequest.builder()
.bookingKey("<booking_key>")
.build()
)
.build()
);
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.ReschedulePhlebotomyAppointment(context.TODO(), &junction.ReschedulePhlebotomyAppointmentLabTestsRequest{
OrderId: "<order_id>",
Body: &junction.AppointmentRescheduleRequest{
BookingKey: "<booking_key>",
},
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
"user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
"address": {
"first_line": "West Lincoln Street",
"second_line": "",
"city": "Phoenix",
"state": "AZ",
"zip_code": "85004",
"unit": "14",
"access_notes": "Gate code #1234, use side entrance"
},
"location": {
"lng": -112.0772235,
"lat": 33.4421912
},
"start_at": "2023-05-17T20:00:00+00:00",
"end_at": "2023-05-17T22:00:00+00:00",
"iana_timezone": "America/Phoenix",
"type": "phlebotomy",
"provider": "getlabs",
"status": "pending",
"provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
"can_reschedule": true,
"appointment_notes": "Updated: need morning appointment"
}
Authorizations
Vital Team API Key
Path Parameters
Your Order ID.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Time is in UTC
Time is in UTC
ℹ️ This enum is non-exhaustive.
Available options:
phlebotomy, patient_service_center ℹ️ This enum is non-exhaustive.
Available options:
getlabs, phlebfinders, quest, sonora_quest ℹ️ This enum is non-exhaustive.
Available options:
confirmed, pending, reserved, in_progress, completed, cancelled ℹ️ This enum is non-exhaustive.
Available options:
pending, reserved, scheduled, completed, cancelled, in_progress Show child attributes
Show child attributes
Pattern:
^(?:(?:[A-Za-z_\-]+\/[A-Za-z_\-]+(?:\/[A-Za-z_\-]+)?)|(?:Etc\/[A-Za-z0-9+\-]+(?:\/[A-Za-z0-9]+)?|(?:CET|CST6CDT|EET|EST|EST5EDT|MET|MST|MST7MDT|PST8PDT|HST)))$Maximum string length:
1000Was this page helpful?